Market trades
Returns a WebSocket stream of trades for specified markets.
If you are falling behind (slow client) you will get warning message first, then error message and disconnection will happen.
Coin Metrics API key can be specified as ?api_key= query parameter.
Comma separated list of markets or market patterns like exchange-* or exchange-*-spot or *USDT-future.
Use a corresponding /catalog-all-v2/market-{dataType} endpoint for the full list of supported markets for a given data type.
What data should be sent upon a connection.
By default the latest values are sent just before real-time data.
latestPossible values: Human-readable formatting of JSON responses.
falseProvided URI is too long. It must not be greater than 10000 symbols.
No content
Trade WebSocket message.
ws = new WebSocket("wss://api.coinmetrics.io/v4/timeseries-stream/market-trades?markets=coinbase-btc-usd-spot&pretty=true&api_key=<your_key>")
ws.onmessage = m => console.log(m.data); ws.onclose = () => console.log("closed")
No content
Last updated

